Customer applications
Approve customer application
Approves a pending application, and optionally sets the customer’s net terms and exports the customer to Shopify. Returns the customer, plus the export result if you sent export.shopify.
POST
/
customer_applications
/
{uuid}
/
approve
curl --request POST \
--url https://api.staging.streamlinedpayments.com/api/v1/customer_applications/{uuid}/approve \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-App-Id: <api-key>' \
--data '
{
"net_terms": 30,
"export": {
"shopify": {
"shop_domain": "acme",
"as": "company"
}
}
}
'{
"customer": {
"website": "<string>",
"company_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"first_name": "<string>",
"last_name": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"customer_email": "<string>",
"total_open_balance_amount": 123,
"quick_pay_enabled": true,
"average_days_to_pay": 123,
"net_terms": 0,
"net_terms_label": "<string>",
"shopify_customer_id": "gid://shopify/Customer/1234567890",
"shopify_shop_domain": "your-store",
"application_submitted_at": "2023-11-07T05:31:56Z",
"application_approved_at": "2023-11-07T05:31:56Z",
"customer_group": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_name": "<string>"
},
"billing_address": {
"id": 123,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"country": "<string>",
"email": "<string>",
"cc_email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company_name": "<string>"
},
"addresses": [
{
"id": 123,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"country": "<string>",
"email": "<string>",
"cc_email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company_name": "<string>"
}
]
},
"export": {
"shopify_company_id": "gid://shopify/Company/99",
"shopify_company_url": "https://admin.shopify.com/store/acme/companies/99",
"shopify_company_location_id": "gid://shopify/CompanyLocation/456",
"customer_group_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warnings": [
"net_terms_unsupported_in_shopify"
]
}
}Authorizations
App ID for authentication
API Key for authentication
Path Parameters
The customer's UUID.
Body
application/json
⌘I
curl --request POST \
--url https://api.staging.streamlinedpayments.com/api/v1/customer_applications/{uuid}/approve \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-App-Id: <api-key>' \
--data '
{
"net_terms": 30,
"export": {
"shopify": {
"shop_domain": "acme",
"as": "company"
}
}
}
'{
"customer": {
"website": "<string>",
"company_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"first_name": "<string>",
"last_name": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"customer_email": "<string>",
"total_open_balance_amount": 123,
"quick_pay_enabled": true,
"average_days_to_pay": 123,
"net_terms": 0,
"net_terms_label": "<string>",
"shopify_customer_id": "gid://shopify/Customer/1234567890",
"shopify_shop_domain": "your-store",
"application_submitted_at": "2023-11-07T05:31:56Z",
"application_approved_at": "2023-11-07T05:31:56Z",
"customer_group": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_name": "<string>"
},
"billing_address": {
"id": 123,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"country": "<string>",
"email": "<string>",
"cc_email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company_name": "<string>"
},
"addresses": [
{
"id": 123,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"country": "<string>",
"email": "<string>",
"cc_email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company_name": "<string>"
}
]
},
"export": {
"shopify_company_id": "gid://shopify/Company/99",
"shopify_company_url": "https://admin.shopify.com/store/acme/companies/99",
"shopify_company_location_id": "gid://shopify/CompanyLocation/456",
"customer_group_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warnings": [
"net_terms_unsupported_in_shopify"
]
}
}